part of '../customer.dart';

@freezed
class CustomerPoint with _$CustomerPoint {
  const factory CustomerPoint({
    required String status,
    required String message,
    required int totalPoints,
    required String lastUpdated,
  }) = _CustomerPoint;

  factory CustomerPoint.empty() => const CustomerPoint(
    status: '',
    message: '',
    totalPoints: 0,
    lastUpdated: '',
  );
}
